events.listen("recipes", function (e) {
  function craftingottoessence(essence, ingot) {
    e.custom({
      type: "minecraft:crafting_shaped",
      pattern: ["AAA", "A A", "AAA"],
      key: {
        A: {
          item: essence,
        },
      },
      result: {
        item: ingot,
      },
    });
  }

  craftingottoessence(
    "mysticalagriculture:alfstein_essence",
    "mythicbotany:alfsteel_ingot"
  );
  craftingottoessence(
    "mysticalagriculture:tanium_essence",
    "kubejs:tanium_ingot"
  );
  craftingottoessence(
    "mysticalagriculture:zinc_essence",
    "alltheores:zinc_ingot"
  );
});
